
%The information is here: THFORCE(Forces1:10,:,case1:7,ROV1:3,depth1:2)

ThForce = cellstr(['Moment_XBaxis_total';
                   'Moment_YBaxis_total';
                   'Moment_ZBaxis_total';
                   'Tbp_Force          ';
                   'Tbs_Force          ';
                   'Tfp_Force          ';
                   'Tfs_Force          ';
                   'XBforce_total      ';
                   'YBforce_total      ';
                   'ZBforce_total      ']);
               
Max = zeros(2,7,3,2);
%norms of the forces:
for i = 8:9 % 7 surge 8 sway
    for j = 1:7 % 7 cases
        for k = 1:3 % 3 ROVs
            for m = 1:2 % 1 = 10 m, 2 = 20 m
                Max(i-7,j,k,m) = norm(THFORCE(i,200:20000,j,k,m),Inf);
            end
        end
    end
end

NewMax = [Max(:,:,1,1);Max(:,:,2,1);Max(:,:,3,1);Max(:,:,1,2);...
    Max(:,:,2,2);Max(:,:,3,2)];
