//
//Denne filen er laget av IMTs automatiske JS-fil lager v1.0
//Ide og utforming; Hkon Sktun & Mats Jrgen Thorsen
//

//Dette er de tre variablene




L=1.0m;
B=0.65m;
H=0.30m;

Mesh_Length=0.05m;

//enfjerdedel av panelmodellen har disse strrelsene:
L = L/2;
B = B/2;
H = H;
 
//
//Definerer nedre hjrnepunkter
P1=Point(0,B,-H/2);
P2=Point(L,B,-H/2);
P3=Point(L,0,-H/2);
P4=Point(0,0,-H/2);
//
//Definerer vre hjrnepunkter
P5=P1.copyTranslate(vector3d(0,0,H));
P6=P2.copyTranslate(vector3d(0,0,H));
P7=P3.copyTranslate(vector3d(0,0,H));
P8=P4.copyTranslate(vector3d(0,0,H));
//
//Definerer sideflater
Plbunn=Plate(P1,P2,P3,P4);
Pltopp=Plate(P5,P6,P7,P8);
Plside1=Plate(P1,P2,P6,P5);
//Plside2=Plate(P3,P4,P8,P7);
//Plside3=Plate(P1,P4,P8,P5);
Plside4=Plate(P2,P3,P7,P6);
//
//Orienterer sideflater riktig vei
Plbunn.flipnormal();
//Plside3.flipnormal();
//
//Meshing
Md_def = MeshDensity(Mesh_Length);
Md_def.setDefault();
GenieRules.Meshing.preference(mpPreferRectangularMesh, false);
GenieRules.Meshing.preference(mpAllowTriangularElements, true);
GenieRules.Meshing.preference(mpMeshDensityRounded, true);
//
outer_shell = Set();
outer_shell.add(Plbunn);
outer_shell.add(Pltopp);
outer_shell.add(Plside1);
//outer_shell.add(Plside2);
//outer_shell.add(Plside3);
outer_shell.add(Plside4);
//
//Vt overflate
outer_wet = WetSurface();
Pltopp.back.wetSurface = outer_wet;
Plbunn.back.wetSurface = outer_wet;
Plside1.back.wetSurface = outer_wet;
//Plside2.front.wetSurface = outer_wet;
//Plside3.front.wetSurface = outer_wet;
Plside4.back.wetSurface = outer_wet;
//
//
LC1 = DummyHydroLoadCase(outer_wet);
LC1.generateAppliedLoads();

createmesh();
ExportMeshFem().DoExport("Barge_T1.FEM");

//EOF
//Vt overflate
outer_wet = WetSurface();
Pltopp.back.wetSurface = outer_wet;
Plbunn.back.wetSurface = outer_wet;
Plside1.back.wetSurface = outer_wet;
//Plside2.front.wetSurface = outer_wet;
//Plside3.front.wetSurface = outer_wet;
Plside4.back.wetSurface = outer_wet;
//
//
LC1 = DummyHydroLoadCase(outer_wet);
LC1.generateAppliedLoads();

createmesh();
ExportMeshFem().DoExport("Barge_T1.FEM");

//EOF

